Message info
 
To:buddypress-trac@lists.automattic.com From:buddypress-trac@lists.automattic.com Subject:[buddypress-trac] [BuddyPress][6061] branches/1.5/bp-core/bp-core-functions.php: Check for functionality, not for WordPress version. Date:Wed, 6 Jun 2012 20:40:20 +0000 (UTC)
 

Revision
6061
Author
johnjamesjacoby
Date
2012-06-06 20:40:20 +0000 (Wed, 06 Jun 2012)

Log Message

Check for functionality, not for WordPress version. Also use correct current_theme_info() function to get theme tags. (1.5 branch)

Modified Paths

Diff

Modified: branches/1.5/bp-core/bp-core-functions.php (6060 => 6061)


--- branches/1.5/bp-core/bp-core-functions.php	2012-06-06 19:26:17 UTC (rev 6060)
+++ branches/1.5/bp-core/bp-core-functions.php	2012-06-06 20:40:20 UTC (rev 6061)
@@ -377,10 +377,10 @@
 
 	// Get current theme info
 	// Backward-compatibility with WP < 3.4 will be removed in a future release
-	if ( bp_get_major_wp_version() >= 3.4 ) {
+	if ( function_exists( 'wp_get_theme' ) ) {
 		$ct = wp_get_theme();
 	} else {
-		$ct = get_current_theme();
+		$ct = current_theme_info();
 	}
 
 	// The best way to remove this notice is to add a "buddypress" tag to